const ClaraConstants = {
  // Types
  POLYMESH: 'PolyMesh',
  NULL: 'Null',
  CAMERA: 'Camera',
  MATERIAL: 'Material',
  MODEL: 'Model',
  IMAGE: 'Image',
  ANNOTATION: 'Annotation',

  // Properties
  REFERENCE: 'reference',
  VISIBLE: 'visible',
  BASE_COLOR: 'baseColor',
  BASE_MAP: 'baseMap',
  TRANSLATION: 'translation',
  ROTATION: 'rotation',
  SCALE: 'scale',
  BINARY: 'binary',
  MESH: 'mesh',
  NAME: 'name',
  CLIENT_LEVEL: 'clientLevel',

  // Plugs
  TRANSFORM: 'Transform',
  PHYSICAL: 'Physical',
  PROPERTIES: 'Properties',

  toolbar: {
    HOME: 'home',
    PAN: 'pan',
    ORBIT: 'orbit',
    ZOOM: 'zoom',
    VR: 'vrSettings',
    FULLSCREEN: 'fullscreen'
  },

  wireframeMode: {
    OFF: 0,
    ON: 1,
  }
};

export default ClaraConstants;
